Lantern
REST APILoyalty API

Get Earn Events

Retrieves all active community engagement activities (earn events) that customers can complete to earn loyalty points. Includes completion status for the authenticated customer. Events are returned in descending order by points (highest value first).

GET
/earn-events/

Response Body

application/json

application/json

application/json

curl -X GET "https://yourstore.myshopify.com/a/lantern/earn-events/"
{
  "earnEvents": [
    {
      "handle": "follow-instagram",
      "title": "Follow us on Instagram",
      "description": "Follow our Instagram account and get exclusive updates!",
      "points": 50,
      "actionUrl": "https://instagram.com/example",
      "actionText": "Follow Now",
      "thumbnailUrl": "https://storage.gadget.dev/instagram-icon.png",
      "type": "Custom",
      "clientTriggered": true,
      "completed": false
    }
  ]
}
{
  "error": "Invalid app proxy request"
}
{
  "error": "Shop not found",
  "shop": "nonexistent-store.myshopify.com"
}